From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-engines/odamex/
Date: Sat, 11 Sep 2021 17:49:20 +0000 (UTC) [thread overview]
Message-ID: <1631382496.da84a6733fbb5f53660bc89ca95bc80fcc10bd3c.chewi@gentoo> (raw)
commit: da84a6733fbb5f53660bc89ca95bc80fcc10bd3c
Author: William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
AuthorDate: Fri Sep 10 23:23:40 2021 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Sep 11 17:48:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da84a673
games-engines/odamex: Version bump to 0.9.5
Closes: https://bugs.gentoo.org/812503
Signed-off-by: William Breathitt Gray <vilhelm.gray <AT> gmail.com>
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
games-engines/odamex/Manifest | 1 +
games-engines/odamex/odamex-0.9.5.ebuild | 78 ++++++++++++++++++++++++++++++++
2 files changed, 79 insertions(+)
diff --git a/games-engines/odamex/Manifest b/games-engines/odamex/Manifest
index aeba6d53234..5930b36f8fb 100644
--- a/games-engines/odamex/Manifest
+++ b/games-engines/odamex/Manifest
@@ -1,2 +1,3 @@
DIST odamex-0.9.3.tar.bz2 6658459 BLAKE2B 1afe34400d2875ac196d5c189a35eb402fce0de90ded496aafcc98d2847ac7cdb10f07261c977a69e2442876897c0931813ddaf1954de2a871af6ca9d9317895 SHA512 114afe22f5651c87cedd7677055286ef9d222de790d9578669fdb5a20b471b273bd427c0dd103a64bcf7c285477776b6fa608b4086f78b4cd8271c33c87afcc3
DIST odamex-0.9.4.tar.bz2 6659835 BLAKE2B df6602c05e911a979e9de168bc08be13ac154106ac6d11f3dbf1c50ce6ccdc10f099ff6caf024e45136e5f6be53eb7db7a7cda89d5b37c0507f37fdae033f2bd SHA512 5488c4245aaf02a6e82714cd137fb6b26da0de808c137506b2575d9bad8025f46ba4d2e063de93a78e86806bbf7950651ec19697dee9b41b11c3aa2963b44e50
+DIST odamex-0.9.5.tar.bz2 6659528 BLAKE2B 6f6052aff5a1e0c9a54c417113b67a91044d05ebf13d8ab5fb01132f9bb90b1c97392e881b8bff8baee4621c8e53abbb360fc8c7e6de8ff53d45ee55f73c48ec SHA512 70a0deb5e5b5902620f8fe692dc8507f9f19d7d6afabb4e2efbc25dc6879d469aa250dc55bb165db83a4288af9d5adda72ce3823a3db6dd9ccb83f5c684d3ac8
diff --git a/games-engines/odamex/odamex-0.9.5.ebuild b/games-engines/odamex/odamex-0.9.5.ebuild
new file mode 100644
index 00000000000..2a6cc608b6d
--- /dev/null
+++ b/games-engines/odamex/odamex-0.9.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+WX_GTK_VER="3.0-gtk3"
+inherit cmake desktop prefix wxwidgets xdg
+
+DESCRIPTION="Online multiplayer free software engine for DOOM"
+HOMEPAGE="https://odamex.net/"
+SRC_URI="mirror://sourceforge/${PN}/Odamex/${PV}/${PN}-src-${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="GPL-2+ MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+client master +odalaunch portmidi server upnp X"
+REQUIRED_USE="|| ( client master server )"
+
+RDEPEND="
+ client? (
+ media-libs/libpng:0=
+ media-libs/libsdl2[joystick,sound,video]
+ media-libs/sdl2-mixer
+ net-misc/curl
+ odalaunch? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )
+ portmidi? ( media-libs/portmidi )
+ X? ( x11-libs/libX11 )
+ )
+ server? (
+ upnp? ( net-libs/miniupnpc:= )
+ )"
+DEPEND="${RDEPEND}"
+BDEPEND="games-util/deutex"
+
+S="${WORKDIR}/${PN}-src-${PV}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.9.0-Unbundle-miniupnpc.patch"
+)
+
+src_prepare() {
+ rm -r libraries/libminiupnpc || die
+ hprefixify common/d_main.cpp
+
+ use odalaunch && setup-wxwidgets
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_DISABLE_FIND_PACKAGE_X11=$(usex !X)
+ -DUSE_INTERNAL_LIBS=0
+ -DBUILD_CLIENT=$(usex client)
+ -DBUILD_LAUNCHER=$(usex odalaunch)
+ -DBUILD_MASTER=$(usex master)
+ -DBUILD_SERVER=$(usex server)
+ -DBUILD_OR_FAIL=1
+ -DENABLE_PORTMIDI=$(usex portmidi)
+ -DUSE_MINIUPNP=$(usex upnp)
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ if use client ; then
+ newicon -s 128 "${S}/media/icon_${PN}_128.png" "${PN}.png"
+ make_desktop_entry "${PN}" "Odamex"
+
+ if use odalaunch ; then
+ newicon -s 128 "${S}/media/icon_odalaunch_128.png" "odalaunch.png"
+ make_desktop_entry odalaunch "Odamex Launcher" odalaunch
+ fi
+ fi
+
+ cmake_src_install
+}
next reply other threads:[~2021-09-11 17:49 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-11 17:49 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-16 9:37 [gentoo-commits] repo/gentoo:master commit in: games-engines/odamex/ Pacho Ramos
2024-04-08 17:06 Sam James
2024-03-30 22:21 James Le Cuirot
2023-12-19 5:19 Sam James
2023-12-18 21:57 James Le Cuirot
2023-11-24 13:16 Pacho Ramos
2023-05-14 22:16 James Le Cuirot
2022-09-19 6:42 Michał Górny
2022-02-19 21:01 James Le Cuirot
2022-02-03 9:12 James Le Cuirot
2021-12-03 13:04 Joonas Niilola
2021-09-11 17:49 James Le Cuirot
2021-08-15 10:02 James Le Cuirot
2021-08-15 10:02 James Le Cuirot
2021-06-18 14:00 Ionen Wolkens
2021-05-29 14:54 James Le Cuirot
2020-04-08 22:46 James Le Cuirot
2019-09-09 22:16 James Le Cuirot
2019-09-09 21:52 James Le Cuirot
2019-09-09 21:52 James Le Cuirot
2019-09-07 16:09 James Le Cuirot
2018-04-29 13:06 Pacho Ramos
2018-02-11 10:53 Michał Górny
2015-09-25 14:43 Agostino Sarubbo
2015-09-24 13:42 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1631382496.da84a6733fbb5f53660bc89ca95bc80fcc10bd3c.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox